Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/folders \
--header 'Authorization: Bearer <token>'{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}Retrieves a folder and recursively includes all folders via the childNodes attribute. The child lists field will be empty in all child nodes. Only the folder retrieved will include the child lists in that folder.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/folders \
--header 'Authorization: Bearer <token>'{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}Supported products
Required Scopes
Was this page helpful?